summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSainnhepark2020-12-05 08:37:33 +0800
committerSainnhepark2020-12-05 08:37:33 +0800
commit5fd1ae9d26bbf6d48fa22850c883394aa27cec91 (patch)
tree5700909ec591a072ce80a65c8cba0cddc4167dc0
parent0de3a0e775de0c17ed9a85d4e5a6d227efef86dc (diff)
downloadaur-5fd1ae9.tar.gz
path detection
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD6
-rw-r--r--code-marketplace.hook2
-rw-r--r--code-marketplace.install8
4 files changed, 11 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 713ca9907c0..14d37373323 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,15 +1,15 @@
pkgbase = code-marketplace
pkgdesc = Enable vscode marketplace in Code OSS
pkgver = 1.50.1
- pkgrel = 1
+ pkgrel = 2
url = https://marketplace.visualstudio.com/vscode
install = code-marketplace.install
arch = any
license = unknown
- depends = code>=1.50.1
+ depends = code
source = code-marketplace.hook
source = product_json.patch
- md5sums = 8a5cbd751ee2762d40f1e43e9e6e69e0
+ md5sums = 42452c5db24228e26f80fbdffc61ab55
md5sums = 9e476c8aae4243010d6a1c18e56ac402
pkgname = code-marketplace
diff --git a/PKGBUILD b/PKGBUILD
index 6eb722b5737..8fa9cd6ba33 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,16 +1,16 @@
# Maintainer: Sainnhe Park <sainnhe@gmail.com>
pkgname=code-marketplace
pkgver=1.50.1
-pkgrel=1
+pkgrel=2
pkgdesc='Enable vscode marketplace in Code OSS'
arch=('any')
url='https://marketplace.visualstudio.com/vscode'
license=('unknown')
-depends=('code>=1.50.1')
+depends=('code')
install="${pkgname}.install"
source=('code-marketplace.hook'
'product_json.patch')
-md5sums=('8a5cbd751ee2762d40f1e43e9e6e69e0'
+md5sums=('42452c5db24228e26f80fbdffc61ab55'
'9e476c8aae4243010d6a1c18e56ac402')
package() {
diff --git a/code-marketplace.hook b/code-marketplace.hook
index 5e685e15dd8..835af73254e 100644
--- a/code-marketplace.hook
+++ b/code-marketplace.hook
@@ -6,5 +6,5 @@ Target = usr/lib/code/product.json
[Action]
Description = Patching product.json...
-Exec = /usr/bin/bash -c "/usr/bin/patch /usr/lib/code/product.json < /usr/lib/code/product_json.patch"
+Exec = /usr/bin/bash -c "[ -f /usr/lib/code/product.json ] && /usr/bin/patch /usr/lib/code/product.json </usr/lib/code/product_json.patch || echo 'Failed to patch product.json. This package is only tested in [community/code 1.50.1-1].'"
When = PostTransaction
diff --git a/code-marketplace.install b/code-marketplace.install
index 7cf2ebcd3c3..2b7fa59989d 100644
--- a/code-marketplace.install
+++ b/code-marketplace.install
@@ -1,15 +1,15 @@
post_install() {
- patch /usr/lib/code/product.json < /usr/lib/code/product_json.patch
+ [ -f /usr/lib/code/product.json ] && /usr/bin/patch /usr/lib/code/product.json </usr/lib/code/product_json.patch || echo 'Failed to patch product.json. This package is only tested in [community/code 1.50.1-1].'
}
pre_upgrade() {
- patch -R /usr/lib/code/product.json < /usr/lib/code/product_json.patch
+ [ -f /usr/lib/code/product.json ] && /usr/bin/patch -R /usr/lib/code/product.json </usr/lib/code/product_json.patch || echo 'Failed to patch product.json. This package is only tested in [community/code 1.50.1-1].'
}
post_upgrade() {
- patch /usr/lib/code/product.json < /usr/lib/code/product_json.patch
+ [ -f /usr/lib/code/product.json ] && /usr/bin/patch /usr/lib/code/product.json </usr/lib/code/product_json.patch || echo 'Failed to patch product.json. This package is only tested in [community/code 1.50.1-1].'
}
pre_remove() {
- patch -R /usr/lib/code/product.json < /usr/lib/code/product_json.patch
+ [ -f /usr/lib/code/product.json ] && /usr/bin/patch -R /usr/lib/code/product.json </usr/lib/code/product_json.patch || echo 'Failed to patch product.json. This package is only tested in [community/code 1.50.1-1].'
}